<!-- -------------------- ./doc/content/share_content.html -------------------- -->

<script>
function copy2clip(str) {
	let temp = document.createElement('textarea');
	temp.value = str;
	document.body.appendChild(temp);
	temp.select();
	document.execCommand('copy');
	document.body.removeChild(temp);
}
</script>

<section class="share-content">
	<h2>Partager ce dossier</h2>

	<h3>En communicant les informations suivantes : </h3>

	<div class="fr-grid-row fr-grid-row--gutters">
		<div class="fr-col-6 fr-col-md-4 fr-col-lg-3">
			<div class="fr-tile">
				<div class="fr-tile__body">
					<h4 class="fr-tile__title">
						Lien direct
					</h4>
					<div class="fr-tile__desc">
						<div class="fr-input-group">
							<input class="fr-input" readonly type="text" value="<?php echo $this->URL->GetMinimumURL(); ?>">
							<button type="button" class="fr-btn fr-btn--sm" onclick="javascript:copy2clip('<?php echo $this->URL->GetMinimumURL(); ?>')">Copier</button>
						</div>

						<?php if ($this->DOSINFO['passwd'] != ""): ?>
						<div class="fr-input-group">
							<label class="fr-label" for="">Mot de passe :</label>
							<div class="fr-input-wrap fr-icon-lock-line">
								<input class="fr-input" readonly type="text" value="<?php echo $this->DOSINFO['passwd']; ?>">
							</div>
						</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		<div class="fr-col-6 fr-col-md-4 fr-col-lg-3">
			<div class="fr-tile">
				<div class="fr-tile__body">
					<h4 class="fr-tile__title">
						<a class="fr-tile__link" href>QR Code à scanner</a>
					</h4>
					<div class="fr-tile__desc">
						<img src="<?php echo $this->URL->GetDosMethod("GetQR"); ?>" alt="qrcode">
					</div>
				</div>
			</div>
		</div>
		<div class="fr-col-6 fr-col-md-4 fr-col-lg-3">
			<div class="fr-tile">
				<div class="fr-tile__body">
					<h4 class="fr-tile__title">
						Accès direct aux fichiers
					</h4>
					<div class="fr-tile__desc">
						<a href="<?php echo $this->URL->GetInnerMethod('DispDav'); ?>" class="fr-btn fr-btn--sm fr-btn--icon-left fr-icon-folder-2-line">Cliquer ici</a>
					</div>
				</div>
			</div>
		</div>
		<div class="fr-col-6 fr-col-md-4 fr-col-lg-3">
			<div class="fr-tile">
				<div class="fr-tile__body">
					<h4 class="fr-tile__title">
						Envoyer par email
					</h4>
					<div class="fr-tile__desc">
						<p>Va ouvrir votre logiciel d'emails par défaut</p>
						<a href="<?php echo $this->MAILTO; ?>" class="fr-btn fr-btn--sm fr-btn--icon-left fr-icon-mail-line">Cliquer ici</a>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div>
		<form id="melShareForm" class="form-horizontal" role="form" action="<?php echo $this->URL->GetDosMethod("SendMail"); ?>">
		<h3>En envoyant un email via la Plateforme de Signature :</h3>

			<div class="fr-input-group">
				<label for="SNDRNAM" class="fr-label">
					Votre nom :
				</label>

				<input type="text" class="fr-input" value="" name="SNDRNAM" id="SNDRNAM" >
			</div>

			<div class="fr-input-group">
				<label for="SNDRMEL" class="fr-label">
					Mails destinataires :
					<span class="fr-hint-text">(un par ligne)</span>
				</label>

				<textarea class="fr-input" rows="4" name="SNDRMEL" id="SNDRMEL"></textarea>
			</div>

			<div class="fr-input-group">
				<label for="SNDRMSG" class="fr-label">Message :</label>
				<textarea class="fr-input" rows="4" name="SNDRMSG" id="SNDRMSG" ></textarea>
			</div>

			<button type="button" class="fr-btn fr-btn--sm fr-btn--icon-left fr-icon-send-plane-fill" onclick="javascript:contentMailSend()">Envoyer</button>
		</form>
	</div>

	<div id="melShareSuccess" class="fr-alert fr-alert--success" style="display: none">
	  <h3 class="fr-alert__title">Succès</h3>
	  <p>Le mail a bien été envoyé</p>
	</div>

</section>
